Subject: First usergroup from BE-user no longer applied to new pages
Description

On sites running v6.2.0 or 6.2.1, new pages created in the backend do not get the first usergroup of the BE-user applied when this is
set. This is the case for both admins and regular users.

Up to v6.1.x, the behaviour used to be that new pages would belong to the BE-usergroup that was first in the list of groups of the user
who created the page. (Checked with 6.1.8)

Using git bisect, I tracked it down to this commit, between beta3 en 4:

0a761995a14e870c7a2f21547acf073c9293d856 is the first bad commit
commit 0a761995a14e870c7a2f21547acf073c9293d856
Author: Jo Hasenau <info@cybercraft.de>
Date:   Sun Dec 1 14:34:14 2013 +0100

[TASK] Replace all strcmp() calls with ===
This patch replaces about 300 places using strcmp()
    in the whole core. There are different contexts for strcmp()
    within this set, i.e. checking for strings being '0',
    '', not '' and the like.
strcmp() has to stay when it comes to real sorting of strings,
    which is a rather rare case, otherwise it can be replaced with
    faster alternatives.
The following 'rules' were used for the replacement:

    -  Use a type cast if you can't be sure about the incoming values.
      We do not need type casts if the types are implicitly defined
      before by another function. i.e. intval(), trim(), substr()

    -  Use int-cast whenever the values to be compared are numbers only.
    -  Use string-cast for any other combination. i.e

      (string)$len === '0' when $len can be NULL, which is different
      to (int)$len === 0

Resolves: #54085
    Releases: 6.2
    Change-Id: I88fb294ae20d8c23ff58d8296fbb37925d5213c8
    Reviewed-on: https://review.typo3.org/25843
    Reviewed-by: Markus Klein
    Tested-by: Markus Klein

Related issues:
related to Core - Task # 54085: Replace all strcmp() calls with === Resolved 2013-11-29
related to Core - Task # 56393: creation on new pages have broken permissions... Resolved 2014-02-27

History
#1 - 2014-05-05 17:51 - Markus Klein

Hi Loek!

Thanks for tracking this down.

I'd say this is a duplicate of #56393. I suggest to close this issue and continue there.

#2 - 2014-05-05 18:07 - Markus Klein
- Status changed from New to Closed
